/**
 * Theme Stylesheet Template. This CSS overrides the default CSS so the users
 * can customise colours.
 */
body {
    background-color: #f4f4f4;
}
ul.mf-topapps li {
    background-color: #000000;
    border-color: #000000 #333333 #333333 #000000;
}
ul.mf-topapps li a {
    border-color: #333333 #000000 #000000 #333333;
}
ul.mf-topapps li a:hover {
    border-color: #666666 #000000 #000000 #666666;
}

div.main-nav-btn {
    background-image: none;
    background-color: #000000;
    border-color: #000000 #333333 #333333 #000000;
    box-shadow: 0 1px 1px #000000 inset;
}

.ui-state-default a.main-nav-text, 
.ui-state-default a.main-nav-text:link, 
.ui-state-default a.main-nav-text:visited { 
    color: #ffffff; 
}

#mf-topnav {
        background-image: none;
        background-color: #99cc33;
    border-top: #333333 solid 1px;
}
#mf-topsearchcriteria a {
    color: #000;
}
div.panelbox > h2, .ui-dialog .ui-dialog-titlebar,
h2.MsgBox-Title {
    background-image: linear-gradient(top, #6e737a 0%, #495058 100%);
    background-image: -o-linear-gradient(top, #6e737a 0%, #495058 100%);
    background-image: -moz-linear-gradient(top, #6e737a 0%, #495058 100%);
    background-image: -webkit-linear-gradient(top, #6e737a 0%, #495058 100%);
    background-image: -ms-linear-gradient(top, #6e737a 0%, #495058 100%);
   -ms-filter: "progid:DXImageTransform.Microsoft.gradient(GradientType=0,startColorstr='#6e737a', endColorstr='#495058')";
    background-color: #495058;
    border: none;
}
body[class*="iress-"] div.panelbox:not(.panelbox--expander) > h2,
body[class*="iress-"] .ui-dialog .ui-dialog-titlebar,
body[class*="iress-"] .ui-jqdialog .ui-jqdialog-titlebar,
body[class*="iress-"] h2.MsgBox-Title {
    background: #495058;
}
div.panelbox > div.content {
    border-top-color: #92a3ad;
}
#mf-topstrip {
    background-color: #000000;
}
#mf-topstrip ul li {
    border-left: #333333 solid 1px;
}
#mf-topstrip ul {
    border-right: #333333 solid 1px;
}
div.slidemenu > div.slide-title > div,
div.slidemenu ul.slide-lvl0 > li > div > a,
div.slidemenu ul.slide-lvl0 > li > div > span {
    color: #2a7fb6;
}
div.slidemenu a,
div.slidemenu span {
    color: #000000;
}
div.slidemenu ul.slide-lvl0 ul > li.slide-sel > div {
    background-color: #c9e1e6;
}
div.slidemenu ul.slide-lvl0 > li.slide-sel.slide-item > div {
    background-color: #c9e1e6;
}
/* This needs to be here so only sub menus get shaded when there are multiple levels */
div.slidemenu ul.slide-lvl0 ul > li.slide-menu > div {
    background-color: transparent;
}
tr.ipstable-item_even,
td.ipstable-item_even {
    background: #e9f4f8;
}
tr.ipstable-item_odd,
td.ipstable-item_odd {
    background: #ffffff;
}

div.slidemenu2 ul.slide-lvl0 > li {
    background-color: #E8E9EB;
    }
div.slidemenu2 a,
div.slidemenu2 span {
    color: #000000;
}
div.slidemenu2 > div.slide-title > div,
div.slidemenu2 ul.slide-lvl0 > li > div > a,
div.slidemenu2 ul.slide-lvl0 > li > div > span {
    color: #2A7FB6;
}
div.slidemenu2 > div.slide-title {
    background-color: #495058;    
}

#mf-navigatorbox .jstree a{
    color: #2a7fb6 !important; /*need to override style in jstree plugin*/
}

body[class*="iress-"] {
            /* IDS Base Tokens */
        --iress-g-primary-contrast-color: #ffffff;
                --iress-g-primary-hover-color: #2e2158;
        --iress-g-primary-color: #42307e;
        
        /* Primary button */
        --iress-button-primary-background-color: var(--iress-g-primary-color);
        --iress-button-primary-hover-background-color: var(--iress-g-primary-hover-color);
        --iress-button-primary-active-background-color: var(--iress-g-primary-hover-color);
        
        /* Secondary button */
        --iress-button-secondary-hover-background-color: #e3e0ec;
        --iress-button-secondary-active-background-color: #e3e0ec;
    }
